Bug 1277487 - (kukulich/fshl) Review Request: php-kukulich-fshl - FSHL: fast syntax highlighter
Review Request: php-kukulich-fshl - FSHL: fast syntax highlighter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: apigen/apigen
  Show dependency treegraph
 
Reported: 2015-11-03 08:05 EST by Remi Collet
Modified: 2015-11-27 01:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-16 18:24:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (8.11 KB, text/plain)
2015-11-03 12:27 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (6.15 KB, text/plain)
2015-11-03 12:27 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.49 KB, text/plain)
2015-11-03 12:27 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-11-03 08:05:14 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/master/php/php-kukulich-fshl/php-kukulich-fshl.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-kukulich-fshl-2.1.0-1.remi.src.rpm
Description: 
FSHL is a free, open source, universal, fast syntax highlighter written in PHP.
A very fast parser performs syntax highlighting for few languages and produces
a HTML output.

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/FSHL/autoload.php';

Fedora Account System Username: remi
Comment 2 Shawn Iwinski 2015-11-03 12:27 EST
Created attachment 1089157 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:58:20 CEST
Comment 3 Shawn Iwinski 2015-11-03 12:27 EST
Created attachment 1089158 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:58:20 CEST
Comment 4 Shawn Iwinski 2015-11-03 12:27 EST
Created attachment 1089159 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277487
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Shawn Iwinski 2015-11-03 12:29:21 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.  Not a blocker.



[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated", "GPL (v2 or later)
     (with incorrect FSF address)", "*No copyright* GPL (v2 or later)",
     "GPL (v2)", "*No copyright* Apache (v2.0)". 75 files have unknown
     license.

     Library is GPLv2+ not MIT.

     In tests there are also some Apache, BSD, GPL, and MIT licenced files
     though.
Comment 7 Shawn Iwinski 2015-11-04 15:55:16 EST
[x]: License field in the package spec file matches the actual license.



No blockers.

===== APPROVED =====
Comment 8 Remi Collet 2015-11-05 00:18:02 EST
Thanks!

SCM request awaiting review on pkgdb2
Comment 9 Gwyn Ciesla 2015-11-05 16:06:25 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-kukulich-fshl
Comment 10 Fedora Update System 2015-11-06 01:21:16 EST
php-kukulich-fshl-2.1.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ae698b70d4
Comment 11 Fedora Update System 2015-11-06 01:21:22 EST
php-kukulich-fshl-2.1.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4e5f130916
Comment 12 Fedora Update System 2015-11-06 01:21:23 EST
php-kukulich-fshl-2.1.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5fe6f73ce1
Comment 13 Fedora Update System 2015-11-08 07:27:11 EST
php-kukulich-fshl-2.1.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-kukulich-fshl'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ae698b70d4
Comment 14 Fedora Update System 2015-11-08 08:25:03 EST
php-kukulich-fshl-2.1.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-kukulich-fshl'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5fe6f73ce1
Comment 15 Fedora Update System 2015-11-08 13:48:10 EST
php-kukulich-fshl-2.1.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-kukulich-fshl'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3eca48bc1e
Comment 16 Fedora Update System 2015-11-08 13:50:06 EST
php-kukulich-fshl-2.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-kukulich-fshl'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4e5f130916
Comment 17 Fedora Update System 2015-11-16 18:24:13 EST
php-kukulich-fshl-2.1.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-11-17 06:58:46 EST
php-kukulich-fshl-2.1.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-11-27 00:25:13 EST
php-kukulich-fshl-2.1.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-11-27 01:51:30 EST
php-kukulich-fshl-2.1.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.